#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(macvlan_common_setup, "_gpl", "");
KSYMTAB_FUNC(macvlan_common_newlink, "_gpl", "");
KSYMTAB_FUNC(macvlan_dellink, "_gpl", "");
KSYMTAB_FUNC(macvlan_link_register, "_gpl", "");

SYMBOL_CRC(macvlan_common_setup, 0xec9124ef, "_gpl");
SYMBOL_CRC(macvlan_common_newlink, 0x0922033d, "_gpl");
SYMBOL_CRC(macvlan_dellink, 0x9c03bdc8, "_gpl");
SYMBOL_CRC(macvlan_link_register, 0x890b8100, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x63f729f6, "ether_setup" },
	{ 0xb8fcd192, "__ethtool_get_link_ksettings" },
	{ 0x97e3300e, "ethtool_get_ts_info_by_layer" },
	{ 0x1f93ee83, "init_net" },
	{ 0x291a4b20, "generic_hwtstamp_set_lower" },
	{ 0xbcc9248f, "generic_hwtstamp_get_lower" },
	{ 0x7a470b47, "dev_mc_del" },
	{ 0x69c67a83, "dev_uc_del" },
	{ 0x36b76caa, "dev_mc_add_excl" },
	{ 0x78b9d56d, "dev_uc_add_excl" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x74e3199f, "__netpoll_free" },
	{ 0xd40bb581, "vlan_vid_del" },
	{ 0x610cbbf8, "vlan_vid_add" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x580d7bd5, "dev_uc_sync" },
	{ 0xb5e4e9cd, "dev_mc_sync" },
	{ 0x55f1a12c, "dev_set_allmulti" },
	{ 0x0dac1744, "dev_set_promiscuity" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb9139b6b, "dev_uc_unsync" },
	{ 0x25091cb3, "dev_mc_unsync" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xceb4c04b, "rtnl_link_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x66bb67f0, "rtnl_link_unregister" },
	{ 0x0ff182e8, "nla_put" },
	{ 0xfc56c828, "kmalloc_caches" },
	{ 0xb76430e0, "__kmalloc_cache_noprof" },
	{ 0x026ff1f0, "__netpoll_setup" },
	{ 0x037a0cba, "kfree" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x23cb5e7a, "unregister_netdevice_queue" },
	{ 0x66ad56a6, "netdev_upper_dev_unlink" },
	{ 0x8dcf901e, "dev_addr_mod" },
	{ 0xdca69f8e, "dev_uc_add" },
	{ 0x5ad066e7, "dev_set_mac_address" },
	{ 0x287647d5, "dev_set_mtu" },
	{ 0x8cde20ad, "netif_inherit_tso_max" },
	{ 0xa5141ee2, "netdev_update_features" },
	{ 0xd548dc95, "netif_stacked_transfer_operstate" },
	{ 0x43315886, "call_netdevice_notifiers" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x43f49bcd, "skb_clone" },
	{ 0x494198d1, "netif_rx" },
	{ 0xb17a582e, "__dev_forward_skb" },
	{ 0x57f7248c, "__dev_queue_xmit" },
	{ 0x784d206a, "dev_forward_skb" },
	{ 0xce3728b5, "netpoll_send_skb" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xff1a4ed2, "__netif_rx" },
	{ 0xc38d951a, "ip_check_defrag" },
	{ 0x5e31ef9e, "sk_skb_reason_drop" },
	{ 0x908e7467, "consume_skb" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5cd60e4f, "netdev_core_stats_inc" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x0800473f, "__cond_resched" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x8e09ae4d, "netdev_rx_handler_unregister" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x236c8c64, "memcpy" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xc3c33c2f, "__dev_get_by_index" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x222f5e67, "netdev_is_rx_handler_busy" },
	{ 0xa99af699, "netdev_rx_handler_register" },
	{ 0x77d3e10d, "register_netdevice" },
	{ 0x8839dc52, "netdev_upper_dev_link" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x9cd91e0d, "linkwatch_fire_event" },
	{ 0x64ae8d6d, "pcpu_alloc_noprof" },
	{ 0x12c2e0e0, "passthru_features_check" },
	{ 0x4fee7fca, "eth_validate_addr" },
	{ 0x8ed27bc9, "ndo_dflt_fdb_dump" },
	{ 0xcd620040, "eth_header_parse" },
	{ 0xb1eb2901, "eth_header_cache" },
	{ 0x49541f60, "eth_header_cache_update" },
	{ 0xb6e9fff7, "eth_header_parse_protocol" },
	{ 0x74990cdc, "ethtool_op_get_link" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "7109991FDE21505E48A2BE8");
MODULE_INFO(rhelversion, "9.99");
