#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip_tunnel_lookup, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_md_udp_encap, "", "");
KSYMTAB_FUNC(ip_tunnel_rcv, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_encap_add_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_del_ops, "", "");
KSYMTAB_FUNC(ip_tunnel_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip_md_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_xmit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_ctl, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_from_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_parm_to_user, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_siocdevprivate, "_gpl", "");
KSYMTAB_FUNC(__ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_change_mtu, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_dellink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_get_link_net, "", "");
KSYMTAB_FUNC(ip_tunnel_get_iflink, "", "");
KSYMTAB_FUNC(ip_tunnel_init_net, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_delete_nets, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_newlink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_changelink, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_init, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_uninit, "_gpl", "");
KSYMTAB_FUNC(ip_tunnel_setup, "_gpl", "");

SYMBOL_CRC(ip_tunnel_lookup, 0xf2e659b5, "_gpl");
SYMBOL_CRC(ip_tunnel_md_udp_encap, 0x24ff814b, "");
SYMBOL_CRC(ip_tunnel_rcv, 0x80653142, "_gpl");
SYMBOL_CRC(ip_tunnel_encap_add_ops, 0x1bc08eb2, "");
SYMBOL_CRC(ip_tunnel_encap_del_ops, 0xf7e07e3a, "");
SYMBOL_CRC(ip_tunnel_encap_setup, 0x51fec115, "_gpl");
SYMBOL_CRC(ip_md_tunnel_xmit, 0x9fc9c4dc, "_gpl");
SYMBOL_CRC(ip_tunnel_xmit, 0x50885311, "_gpl");
SYMBOL_CRC(ip_tunnel_ctl, 0xda22355f, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_from_user, 0x53e7f64c, "_gpl");
SYMBOL_CRC(ip_tunnel_parm_to_user, 0x6bfdf906, "_gpl");
SYMBOL_CRC(ip_tunnel_siocdevprivate, 0xe6462165, "_gpl");
SYMBOL_CRC(__ip_tunnel_change_mtu, 0x1d04b8ad, "_gpl");
SYMBOL_CRC(ip_tunnel_change_mtu, 0x4b64b579, "_gpl");
SYMBOL_CRC(ip_tunnel_dellink, 0x1595b96f, "_gpl");
SYMBOL_CRC(ip_tunnel_get_link_net, 0xc95e5d76, "");
SYMBOL_CRC(ip_tunnel_get_iflink, 0x6328c244, "");
SYMBOL_CRC(ip_tunnel_init_net, 0x7beed9c8, "_gpl");
SYMBOL_CRC(ip_tunnel_delete_nets, 0x4c37b9a4, "_gpl");
SYMBOL_CRC(ip_tunnel_newlink, 0x33a5c725, "_gpl");
SYMBOL_CRC(ip_tunnel_changelink, 0x487f7e73, "_gpl");
SYMBOL_CRC(ip_tunnel_init, 0x934cd651, "_gpl");
SYMBOL_CRC(ip_tunnel_uninit, 0x5b061133, "_gpl");
SYMBOL_CRC(ip_tunnel_setup, 0xf00027b4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x85819d15, "iptun_encaps" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x4a417d7e, "icmpv6_ndo_send" },
	{ 0xe978ea2c, "icmp_ndo_send" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x5d77aea3, "alloc_netdev_mqs" },
	{ 0x77d3e10d, "register_netdevice" },
	{ 0x28f7aaa5, "free_netdev" },
	{ 0x56470118, "__warn_printk" },
	{ 0x23cb5e7a, "unregister_netdevice_queue" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0xc03ae192, "gro_cells_init" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xe798236d, "jiffies" },
	{ 0x5b821f01, "skb_copy_bits" },
	{ 0x81501b0d, "ip_route_output_flow" },
	{ 0x3462ae1c, "dst_release" },
	{ 0xc3c33c2f, "__dev_get_by_index" },
	{ 0xa93abc33, "l3mdev_master_upper_ifindex_by_index_rcu" },
	{ 0x5e31ef9e, "sk_skb_reason_drop" },
	{ 0x08a273c1, "dst_cache_get_ip4" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xbe37ee85, "pskb_expand_head" },
	{ 0x45a2536c, "iptunnel_xmit" },
	{ 0x4fc952af, "dst_cache_set_ip4" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xc92f823e, "__skb_get_hash_net" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x58fbb322, "neigh_destroy" },
	{ 0x8dcf901e, "dev_addr_mod" },
	{ 0x3ac70f47, "netdev_state_change" },
	{ 0xd2144dc2, "ns_capable" },
	{ 0x287647d5, "dev_set_mtu" },
	{ 0x4f47cc12, "__pskb_pull_tail" },
	{ 0x3050854e, "skb_scrub_packet" },
	{ 0x14a9a240, "gro_cells_receive" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0xbc77bf4e, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x1f93ee83, "init_net" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B27F5C4BCC62422D71EFE69");
MODULE_INFO(rhelversion, "9.99");
