#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tun_ptr_free, "_gpl", "");
KSYMTAB_FUNC(tun_get_socket, "_gpl", "");
KSYMTAB_FUNC(tun_get_tx_ring, "_gpl", "");

SYMBOL_CRC(tun_ptr_free, 0x4099f919, "_gpl");
SYMBOL_CRC(tun_get_socket, 0x756d8b14, "_gpl");
SYMBOL_CRC(tun_get_tx_ring, 0x19dec8c0, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x700804f1, "file_f_owner_allocate" },
	{ 0xe01b1778, "fasync_helper" },
	{ 0x6205a9c6, "__f_setown" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x403f399b, "netdev_info" },
	{ 0x6d357215, "netif_carrier_on" },
	{ 0x54261e3b, "netif_carrier_off" },
	{ 0x502817e9, "from_kgid_munged" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd059adf0, "from_kuid_munged" },
	{ 0x0ff182e8, "nla_put" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x43c51cf2, "bpf_prog_destroy" },
	{ 0x037a0cba, "kfree" },
	{ 0x49608959, "migrate_disable" },
	{ 0xf84bd6ee, "bpf_stats_enabled_key" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x4d7272e4, "migrate_enable" },
	{ 0xe94986d6, "sched_clock" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x35ca82c5, "__skb_get_hash_symmetric_net" },
	{ 0x62f8b244, "netif_tx_stop_all_queues" },
	{ 0x2f9fd9de, "dev_get_tstats64" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x178eba95, "memdup_user" },
	{ 0x8a680203, "crc32_le_arch" },
	{ 0x78041b8f, "byte_rev_table" },
	{ 0x92997ed8, "_printk" },
	{ 0xceb4c04b, "rtnl_link_register" },
	{ 0xe6de92dc, "misc_register" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2b883940, "misc_deregister" },
	{ 0x66bb67f0, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xbf9f3acf, "xdp_return_frame" },
	{ 0x5e31ef9e, "sk_skb_reason_drop" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0x68968c06, "kill_fasync" },
	{ 0xeca8f054, "bpf_prog_put" },
	{ 0xbd41996e, "sk_alloc" },
	{ 0x8c0c1c78, "__kvmalloc_node_noprof" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x44e9b7d0, "__init_waitqueue_head" },
	{ 0x45bd696f, "sock_init_data_uid" },
	{ 0xb33358c4, "sk_free" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x687a9096, "skb_queue_purge_reason" },
	{ 0x7e6d4224, "napi_disable" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x0729e4c5, "xdp_rxq_info_unreg" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x983168fa, "__netif_napi_del_locked" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xa5dcf6fe, "module_put" },
	{ 0x09cfcd43, "skb_copy_datagram_iter" },
	{ 0x62f96037, "_copy_to_iter" },
	{ 0xf6afa533, "iov_iter_advance" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd2fcbea7, "netdev_err" },
	{ 0xead58fb9, "print_hex_dump" },
	{ 0x59ab0ddd, "build_skb" },
	{ 0x3e17b5ac, "skb_put" },
	{ 0xe6cbeb2e, "skb_set_owner_w" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xe798236d, "jiffies" },
	{ 0x50fad434, "round_jiffies_up" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x5cd60e4f, "netdev_core_stats_inc" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x89ac71e7, "security_tun_dev_attach" },
	{ 0x58c8f84a, "xdp_rxq_info_is_reg" },
	{ 0x688a2aa6, "netif_set_real_num_tx_queues" },
	{ 0xa003322f, "netif_set_real_num_rx_queues" },
	{ 0x04b3c200, "lock_sock_nested" },
	{ 0x948be3f4, "sk_attach_filter" },
	{ 0x4fd6ec6a, "release_sock" },
	{ 0x4e97da17, "__xdp_rxq_info_reg" },
	{ 0xf8b87379, "xdp_rxq_info_reg_mem_model" },
	{ 0xa5ef7323, "napi_enable" },
	{ 0x1d3aa814, "netif_napi_add_weight_locked" },
	{ 0x1bcfbe3f, "__dev_get_by_name" },
	{ 0xd2144dc2, "ns_capable" },
	{ 0xda3d10a8, "security_tun_dev_open" },
	{ 0x3ac70f47, "netdev_state_change" },
	{ 0xc6cbbc89, "capable" },
	{ 0x39461d6a, "in_egroup_p" },
	{ 0x4f1cd128, "security_tun_dev_create" },
	{ 0x5d77aea3, "alloc_netdev_mqs" },
	{ 0x77d3e10d, "register_netdevice" },
	{ 0xfe3529ff, "netif_tx_wake_queue" },
	{ 0x63f729f6, "ether_setup" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x8dcf901e, "dev_addr_mod" },
	{ 0x194c7960, "ip_tunnel_header_ops" },
	{ 0x28f7aaa5, "free_netdev" },
	{ 0xcf53522b, "napi_gro_receive" },
	{ 0x1e6c0112, "napi_complete_done" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x01000e51, "schedule" },
	{ 0x908e7467, "consume_skb" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x68966f45, "bpf_prog_get_type_dev" },
	{ 0xfc56c828, "kmalloc_caches" },
	{ 0xb76430e0, "__kmalloc_cache_noprof" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x438610bd, "security_tun_dev_alloc_security" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x50097088, "security_tun_dev_free_security" },
	{ 0xebafb39a, "flow_keys_basic_dissector" },
	{ 0x6efa60f2, "__skb_flow_dissect" },
	{ 0xcbba64fb, "skb_partial_csum_set" },
	{ 0x4f47cc12, "__pskb_pull_tail" },
	{ 0xdfec0b02, "sk_filter_trim_cap" },
	{ 0xaa777a8b, "skb_clone_tx_timestamp" },
	{ 0xe7c8c824, "skb_tx_error" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0x8761c87b, "rps_needed" },
	{ 0xd58fe032, "skb_tstamp_tx" },
	{ 0x43954b42, "skb_copy_ubufs" },
	{ 0xb9939fdb, "___pskb_trim" },
	{ 0xd20f0652, "xdp_do_redirect" },
	{ 0x8059acfb, "bpf_warn_invalid_xdp_action" },
	{ 0xc6d8c48f, "__tracepoint_xdp_exception" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x1d57f5bf, "__traceiter_xdp_exception" },
	{ 0x5fbdc09a, "xdp_return_frame_rx_napi" },
	{ 0xcf299b0a, "xdp_convert_zc_to_xdp_frame" },
	{ 0xbb7195a5, "xdp_warn" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x4b3cf3e5, "seq_printf" },
	{ 0x7418c638, "napi_get_frags" },
	{ 0xd89fcf6b, "iov_iter_single_seg_count" },
	{ 0xbe37ee85, "pskb_expand_head" },
	{ 0x91a488ac, "__netdev_alloc_frag_align" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x5997658c, "vmemmap" },
	{ 0x1b7eaa08, "skb_page_frag_refill" },
	{ 0x0c66d819, "copy_page_from_iter" },
	{ 0x03b814ca, "bpf_dispatcher_xdp_func" },
	{ 0x146cc88f, "bpf_master_redirect_enabled_key" },
	{ 0x2560ac75, "xdp_master_redirect" },
	{ 0x32890c3e, "__folio_put" },
	{ 0xb9681621, "xdp_do_flush" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0x23cb5e7a, "unregister_netdevice_queue" },
	{ 0x6368d8a2, "get_net_ns" },
	{ 0x48eb0346, "open_related_ns" },
	{ 0x34f3484e, "security_tun_dev_attach_queue" },
	{ 0x412219e3, "make_kgid" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xa5141ee2, "netdev_update_features" },
	{ 0x45afd41f, "sk_detach_filter" },
	{ 0x92da13e4, "dev_get_mac_address" },
	{ 0xbf209512, "dev_set_mac_address_user" },
	{ 0x4051c973, "make_kuid" },
	{ 0xf38f4c17, "init_user_ns" },
	{ 0x7eb55921, "from_kuid" },
	{ 0x43315886, "call_netdevice_notifiers" },
	{ 0xd54ec71f, "__module_get" },
	{ 0x61133316, "from_kgid" },
	{ 0x677552d2, "sock_recv_errqueue" },
	{ 0x3df4213c, "net_hotdata" },
	{ 0xbc77bf4e, "eth_type_trans" },
	{ 0x30398d48, "do_xdp_generic" },
	{ 0x0a2fb6bc, "netif_receive_skb" },
	{ 0xc7a971b6, "__page_frag_cache_drain" },
	{ 0x8159ce39, "_copy_from_iter" },
	{ 0xf3c4fe1f, "iov_iter_npages" },
	{ 0xc03cae81, "skb_copy_datagram_from_iter" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x96dfa339, "napi_schedule_prep" },
	{ 0x8536762b, "sock_alloc_send_pskb" },
	{ 0xf555e4ce, "zerocopy_sg_from_iter" },
	{ 0x8d03ba1a, "iov_iter_revert" },
	{ 0x9d112d25, "skb_push" },
	{ 0x66da87c5, "eth_get_headlen" },
	{ 0x83607e73, "napi_gro_frags" },
	{ 0xa80a4be1, "__napi_schedule" },
	{ 0x74990cdc, "ethtool_op_get_link" },
	{ 0xf73b8ac1, "ethtool_op_get_ts_info" },
	{ 0x12c2e0e0, "passthru_features_check" },
	{ 0x4e93c356, "eth_mac_addr" },
	{ 0x4fee7fca, "eth_validate_addr" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "2FA7FF419B01F82B8A77ECF");
MODULE_INFO(rhelversion, "9.99");
