#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(l2tp_sk_to_tunnel, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_put, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_v3_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_v2_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_next, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_get_by_ifname, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_recv_common, "_gpl", "");
KSYMTAB_FUNC(l2tp_udp_encap_recv, "_gpl", "");
KSYMTAB_FUNC(l2tp_xmit_skb, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_create, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_register, "_gpl", "");
KSYMTAB_FUNC(l2tp_tunnel_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_delete, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_set_header_len, "_gpl", "");
KSYMTAB_FUNC(l2tp_session_create, "_gpl", "");

SYMBOL_CRC(l2tp_sk_to_tunnel, 0x3105002a, "_gpl");
SYMBOL_CRC(l2tp_tunnel_put, 0xc41c670b, "_gpl");
SYMBOL_CRC(l2tp_session_put, 0x1d9f600e, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get, 0x81f66137, "_gpl");
SYMBOL_CRC(l2tp_tunnel_get_next, 0x14a8e4c2, "_gpl");
SYMBOL_CRC(l2tp_v3_session_get, 0xc1269041, "_gpl");
SYMBOL_CRC(l2tp_v2_session_get, 0x88e27de9, "_gpl");
SYMBOL_CRC(l2tp_session_get, 0x039170ef, "_gpl");
SYMBOL_CRC(l2tp_session_get_next, 0xd0e0e08d, "_gpl");
SYMBOL_CRC(l2tp_session_get_by_ifname, 0xaa51e0f9, "_gpl");
SYMBOL_CRC(l2tp_session_register, 0x8fa80372, "_gpl");
SYMBOL_CRC(l2tp_recv_common, 0x80e63244, "_gpl");
SYMBOL_CRC(l2tp_udp_encap_recv, 0xe61d97b8, "_gpl");
SYMBOL_CRC(l2tp_xmit_skb, 0x7b374168, "_gpl");
SYMBOL_CRC(l2tp_tunnel_create, 0x3acba9b8, "_gpl");
SYMBOL_CRC(l2tp_tunnel_register, 0x070a77c4, "_gpl");
SYMBOL_CRC(l2tp_tunnel_delete, 0xb1cbb22f, "_gpl");
SYMBOL_CRC(l2tp_session_delete, 0x34f26b31, "_gpl");
SYMBOL_CRC(l2tp_session_set_header_len, 0x0dbb9be8, "_gpl");
SYMBOL_CRC(l2tp_session_create, 0xf30fb6d4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xe773a126, "perf_trace_run_bpf_submit" },
	{ 0xee4095dd, "trace_event_buffer_reserve" },
	{ 0x0d7486ad, "trace_event_buffer_commit" },
	{ 0x68fb47d0, "__trace_trigger_soft_disabled" },
	{ 0xbc83ec17, "trace_raw_output_prep" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x3bc13183, "trace_event_printf" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x277ff063, "bpf_trace_run1" },
	{ 0xc2aca851, "bpf_trace_run2" },
	{ 0xa49443d1, "sk_error_report" },
	{ 0x91972dc7, "ip_icmp_error" },
	{ 0x8ffea824, "ipv6_icmp_error" },
	{ 0xdf7f48a7, "sock_create_kern" },
	{ 0x4f16794d, "kernel_bind" },
	{ 0xa0b17ab5, "kernel_connect" },
	{ 0x63c5333c, "udp_sock_create6" },
	{ 0x68817e77, "kernel_sock_shutdown" },
	{ 0x422d163d, "sock_release" },
	{ 0x6c559f96, "udp_sock_create4" },
	{ 0x92997ed8, "_printk" },
	{ 0x2905ac69, "register_pernet_device" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0x8171cdfb, "unregister_pernet_device" },
	{ 0x88e52cdb, "idr_for_each" },
	{ 0x034a7afe, "idr_destroy" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x236c8c64, "memcpy" },
	{ 0x56470118, "__warn_printk" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0xfc56c828, "kmalloc_caches" },
	{ 0xb76430e0, "__kmalloc_cache_noprof" },
	{ 0x3be421ed, "skb_queue_tail" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd2504a8c, "arch_spin_lock_wait" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xb33358c4, "sk_free" },
	{ 0x7696f8c7, "__list_add_valid_or_report" },
	{ 0xbe37ee85, "pskb_expand_head" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xa25f0970, "udp_set_csum" },
	{ 0xd637a42d, "ip_queue_xmit" },
	{ 0x5e31ef9e, "sk_skb_reason_drop" },
	{ 0x35d6e60d, "udp6_set_csum" },
	{ 0x6e64997e, "inet6_csk_xmit" },
	{ 0x3462ae1c, "dst_release" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x038762c8, "idr_get_next_ul" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x3761d215, "idr_find" },
	{ 0xe798236d, "jiffies" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x4f47cc12, "__pskb_pull_tail" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x38493a8b, "idr_alloc_u32" },
	{ 0x8d0fd4ef, "idr_replace" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x223928c7, "skb_dequeue" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x037a0cba, "kfree" },
	{ 0xbb7634ce, "sockfd_lookup" },
	{ 0x04b3c200, "lock_sock_nested" },
	{ 0x4fd6ec6a, "release_sock" },
	{ 0x797f4512, "fput" },
	{ 0xdc2fce86, "setup_udp_tunnel_sock" },
	{ 0x20592c6f, "arch_write_lock_wait" },
	{ 0xf976dab2, "trace_event_reg" },
	{ 0x0a8968d2, "trace_event_raw_init" },
	{ 0x5622fd2e, "module_layout" },
};

MODULE_INFO(depends, "ip6_udp_tunnel,udp_tunnel");


MODULE_INFO(srcversion, "74F0D7DE5D860230C2A3272");
MODULE_INFO(rhelversion, "9.99");
